Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.persistence
Annotation Type PrimaryKeyJoinColumn

    @Target(value={TYPE,METHOD,FIELD})
    @Retention(value=RUNTIME)
    public @interface PrimaryKeyJoinColumn

This annotation specifies a primary key column that is used as a foreign key to join to another table. It is used to join the primary table of an entity subclass in the JOINED mapping strategy to the primary table of its superclass; it is used within a SecondaryTable annotation to join a secondary table to a primary table; and it may be used in a OneToOne mapping in which the primary key of the referencing entity is used as a foreign key to the referenced entity. If no PrimaryKeyJoinColumn annotation is specified for a subclass in the JOINED mapping strategy, the foreign key columns are assumed to have the same names as the primary key columns of the primary table of the superclass

Author:
  Emmanuel Bernard

Optional Element Summary
`String` | `columnDefinition` The SQL fragment that is used when generating the DDL for the column.
`String` | `name` The name of the primary key column of the current table.
`String` | `referencedColumnName` The name of the primary key column of the table being joined to.

### name

    public abstract String name

  The name of the primary key column of the current table. Defaults to the same name as the primary key column of the primary table of the superclass (JOINED mapping strategy); the same name as the primary key column of the primary table (SecondaryTable mapping); or the same name as the primary key column for the table for the referencing entity (OneToOne mapping)

  Default:
    ""

### referencedColumnName

    public abstract String referencedColumnName

  The name of the primary key column of the table being joined to. Defaults to the same name as the primary key column of the primary table of the superclass (JOINED mapping strategy); the same name as the primary key column of the primary table (SecondaryTable mapping); or the same name as the primary key column for the table for the referencing entity (OneToOne mapping)

  Default:
    ""

### columnDefinition

    public abstract String columnDefinition

  The SQL fragment that is used when generating the DDL for the column. This should not be specified for a OneToOne primary key association. Defaults to the generated SQL to create a column of the inferred type.

  Default:
    ""

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT